# Dateisystemspeicher

ngSurvey speichert standardmäßig alle Dateien (Medien oder Befragte) in seiner Datenbank. Wenn Sie Ihre Medien- oder Befragten-Dateien stattdessen in einem Ordner speichern möchten, anstatt die Datenbank zu verwenden, müssen Sie ein Docker-Volume einrichten, in dem Ihre Daten gespeichert werden.&#x20;

Hier ein Beispiel für ein Docker Compose, um ngSurvey mit einer MySQL-Datenbank auszuführen und ein benutzerdefiniertes Volume "ngsmedia" zu definieren.

```
version: '3'
volumes:
  mysql:
    driver: local
  nginx:
    driver: local
  ngsmedia:
services:
    ngsurvey:
        image: ngsurvey/ngsurveyee:latest
        restart: always
        networks:
            - default
        ports:
        - 8088:80
        depends_on:
           - mysqlngsurveydb
        volumes:
            - ngsmedia:/ngsmedia 
        command: ["./wait-for-it.sh", "mysqlngsurveydb:3306", "--", "python", "app.py"]
        environment:
           - ConnectionStrings:NGSurveyDB=Server=mysqlngsurveydb;Database=ngsurveydb53;Uid=root;Pwd=maytheforcebewithyou;
           - NGSurvey:StorageEngine=MySQL
    mysqlngsurveydb:
        image: mysql:latest
        ports:
           - 3310:3306
        cap_add:
           - SYS_NICE
        restart: always
        volumes:
           - mysql:/var/lib/mysql
        environment:
           - MYSQL_ROOT_PASSWORD=maytheforcebewithyou
        command: ['--default-authentication-plugin=mysql_native_password']   
networks:
  frontproxy_default:
    external: true        
```

Sobald Sie das Volume definiert haben, können Sie es in Ihrem [Filesystem storage](/de/installation-setup/system-settings/active-directory-settings-1.md) Einstellungen.

![](/files/dc0ef500a52af4a32bc6bf2c813b8ed625270e83)&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ngsurvey.com/de/installation-setup/installation/docker/dateisystemspeicher.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
